Package com.collibra.dgc.core.api.dto.meta.assettype

# Class AddAssetTypeRequest.Builder

Object
Builder

Enclosing class:
  `AddAssetTypeRequest`

public static final class AddAssetTypeRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddAssetTypeRequest.Builder`
  `acronymCode(String acronymCode)`
  A code representing the acronym that should be shown.
  `AddAssetTypeRequest`
  `build()`
  `AddAssetTypeRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `AddAssetTypeRequest.Builder`
  `color(String color)`
  The color of the symbol in hex format (starting with '#' followed by either 3 or 6 hex digits).
  `AddAssetTypeRequest.Builder`
  `description(String description)`
  The description of the new Asset Type.
  `AddAssetTypeRequest.Builder`
  `displayNameEnabled(boolean displayNameEnabled)`
  Required. Whether the display name should be enabled for all Assets of the type being created.
  `AddAssetTypeRequest.Builder`
  `iconCode(String iconCode)`
  The icon code, a code representing the icon that should be shown.
  `AddAssetTypeRequest.Builder`
  `id(UUID id)`
  The UUID that will be assigned to the new Asset Type.
  `AddAssetTypeRequest.Builder`
  `name(String name)`
  Required. The name of the new Asset Type.
  `AddAssetTypeRequest.Builder`
  `parentId(UUID parentId)`
  The ID of the parent for the new Asset Type.
  `AddAssetTypeRequest.Builder`
  `publicId(String publicId)`
  The public id that will be assigned to the new Asset Type.
  `AddAssetTypeRequest.Builder`
  `ratingEnabled(boolean ratingEnabled)`
  Required. Whether ratings should be enabled for all Assets of the type being created.
  `AddAssetTypeRequest.Builder`
  `symbolType(AssetTypeSymbolType symbolType)`
  Required. The symbol type.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public AddAssetTypeRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `AddAssetTypeRequest.builder()`.
    Clone method for this Builder.

  - ### id

    public AddAssetTypeRequest.Builder id(UUID id)
    The UUID that will be assigned to the new Asset Type.

    The UUID should be unique within all Asset Types, and should not start with `00000000-0000-0000-` which is a reserved prefix.

    Returns:
      `this`.

  - ### publicId

    public AddAssetTypeRequest.Builder publicId(String publicId)
    The public id that will be assigned to the new Asset Type.

    It must be unique within all Asset Types, Complex Relation Types, Domain Types and Scopes. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". If no public id is provided, a valid public id will be generated.

    Returns:
      `this`.

  - ### name

    public AddAssetTypeRequest.Builder name(String name)
    Required. The name of the new Asset Type. Should be unique within all Asset Types.
    Returns:
      `this`.

  - ### description

    public AddAssetTypeRequest.Builder description(String description)
    The description of the new Asset Type.
    Returns:
      `this`.

  - ### color

    public AddAssetTypeRequest.Builder color(String color)
    The color of the symbol in hex format (starting with '#' followed by either 3 or 6 hex digits).
    Returns:
      `this`.

  - ### symbolType

    public AddAssetTypeRequest.Builder symbolType(AssetTypeSymbolType symbolType)
    Required. The symbol type.
    Returns:
      `this`.

  - ### iconCode

    public AddAssetTypeRequest.Builder iconCode(String iconCode)
    The icon code, a code representing the icon that should be shown.
    Returns:
      `this`.

  - ### acronymCode

    public AddAssetTypeRequest.Builder acronymCode(String acronymCode)
    A code representing the acronym that should be shown. Must have at least 1 and at most 4 alphanumeric characters.
    Returns:
      `this`.

  - ### parentId

    public AddAssetTypeRequest.Builder parentId(UUID parentId)
    The ID of the parent for the new Asset Type.
    Returns:
      `this`.

  - ### displayNameEnabled

    public AddAssetTypeRequest.Builder displayNameEnabled(boolean displayNameEnabled)
    Required. Whether the display name should be enabled for all Assets of the type being created.
    Returns:
      `this`.

  - ### ratingEnabled

    public AddAssetTypeRequest.Builder ratingEnabled(boolean ratingEnabled)
    Required. Whether ratings should be enabled for all Assets of the type being created.
    Returns:
      `this`.

  - ### build

    public AddAssetTypeRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`